<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables</title>
</head>
<body>

	<!-- ctrl + shift + v - to paste codes following the file's format -->
	<h2 align="center">
		Welcome to the Tables Page
	</h2>
	<!-- id is an attribute that we add to an element to show a unique identifier for that element. This can be used for navigating within a page, styling in CSS and even adding features with JavaScript -->

	<!-- Semantic Div - semantic divs are with ids that appropriately identifiers or is definitive of the purpose of the content. -->

	<div id="navDiv">
		<a href="./index.html">Go to Index Page</a>

		<a href="./form.html">Go to Form Page</a>
			
		<a href="./contact.html">Go to Contact Page</a>
	</div>

	<h3 align="center">HTML Entities</h3>

	<p>
		<em>
			There are reserved in character in HTML. (e.g. &lt; or &gt;)
		</em>
	</p>

	<p>
		HTML Entities start with an ampersand(&) and ends in semicolon. (;)
	</p>

	<!-- 
		Table tag allows us to create a table to display data/information in a tabular form: in rows and colums

		border attribute when added to a table will allow us to determine the thinkness of the borders in a table.
	 -->
	
	<table border="1">
		<!-- tr means table row. It allows us to create a row in an HTML table, -->

		<!-- thead is used to group header/heading content which will be labels per column
		 -->
		<thead>
			<tr>
				<!-- th means table header. It allows us to add cells which will be our headers. Text in this element will be bolded. -->

				<!-- colspan attribute allows to add how many columns a cell will occupy. -->

				<!-- rowspan attribute allows us to add how many row a cell will occupy. -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<tbody>
			<!-- tbody is used to group the body content of an HTML table. This is where the bulk of td or table data will be put. -->
			<tr>
				<!-- td table data. These cells have default formatted text unlike th -->
				<td>&lt;</td>
				<td>lt</td>
				<td>Less Than</td>
			</tr>

			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>Greater Than</td>
			</tr>

			<tr>
				<td>&#8369;</td>
				<td>8369</td>
				<td>Peso Sign</td>
			</tr>

			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>
			
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>Double Quotation Mark</td>
			</tr>

			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>Apostrophe (Single Quotation Mark)</td>
			</tr>

			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>

			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>

		</tbody>

		<!-- table footer used to group footer content in an HTML table. It allows us to add misc content related to the table. -->
		<tfoot>
			<tr>
				<th colspan="3">These are common HTML Entities. There are many more to be learned.s</th>
			</tr>
		</tfoot>
	</table>

	<hr>

	<h3>My Product List</h3>
	<table border="1">
		<thead>
			<tr>
			<th>Name</th>
			<th>Price</th>
			<th>Description</th>
		</tr>	
		</thead>

		<tbody>
		<tr>
			<td>Orange</td>
			<td>&#8369; 20.00</td>
			<td>Fruits</td>
		</tr>

		<tr>
			<td>Wilkins Water</td>
			<td>&#8369; 25.00</td>
			<td>500ml Bottled Water</td>
		</tr>

		<tr>
			<td>Bread</td>
			<td>&#8369; 65.00</td>
			<td>Chocolate Bread</td>
		</tr>

		<tr>
			<td>Vcut Oishi</td>
			<td>&#8369; 15.00</td>
			<td>Snack Food</td>
		</tr>

		<tr>
			<td>Stick-O</td>
			<td>&#8369; 80.00</td>
			<td>Chocolate flavor</td>
		</tr>
		
		</tbody>

	</table>
</body>
</html>